Last Comment Bug 809517 - Port |Bug 792054 - Use the legacy User Agent string (containing Gecko/20100101) for some possibly-broken online banking sites|
: Port |Bug 792054 - Use the legacy User Agent string (containing Gecko/2010010...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.16
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
:
Mentors:
Depends on: 792054
Blocks: 815801
  Show dependency treegraph
 
Reported: 2012-11-07 10:14 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2012-11-27 14:07 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
patch [Checkin: Comments 3 and 4] (2.47 KB, patch)
2012-11-07 10:29 PST, Jens Hatlak (:InvisibleSmiley)
iann_bugzilla: review+
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2012-11-07 10:14:30 PST
FF bug 792054 activated the legacy User Agent string (like previously done for Moodle) for some possibly-broken online banking sites. The change landed on Aurora and Beta, too. I think non-working banking sites are bad, so let's follow suit(e), shall we?

Original changesets:
http://hg.mozilla.org/mozilla-central/rev/fe3ddc3ce8e6
http://hg.mozilla.org/releases/mozilla-aurora/rev/33c470ea043e
http://hg.mozilla.org/releases/mozilla-beta/rev/cc85077c423b
Comment 1 Jens Hatlak (:InvisibleSmiley) 2012-11-07 10:29:00 PST
Created attachment 679237 [details] [diff] [review]
patch [Checkin: Comments 3 and 4]

Unfortunately I don't think I can test this since I'm not a customer of any of these banks. :-/
Comment 2 Jens Hatlak (:InvisibleSmiley) 2012-11-07 13:46:41 PST
Comment on attachment 679237 [details] [diff] [review]
patch [Checkin: Comments 3 and 4]

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 588909
User impact if declined: online banking may be broken on some banking sites until they fix their User Agent sniffing
Testing completed (on m-c, etc.): landed on m-c
Risk to taking this patch (and alternatives if risky): low risk
String or UUID changes made by this patch: none
Comment 3 Jens Hatlak (:InvisibleSmiley) 2012-11-07 13:48:14 PST
Comment on attachment 679237 [details] [diff] [review]
patch [Checkin: Comments 3 and 4]

http://hg.mozilla.org/comm-central/rev/b835e68f8f8c
Comment 4 Jens Hatlak (:InvisibleSmiley) 2012-11-08 09:50:05 PST
Comment on attachment 679237 [details] [diff] [review]
patch [Checkin: Comments 3 and 4]

http://hg.mozilla.org/releases/comm-aurora/rev/af40044655ae
http://hg.mozilla.org/releases/comm-beta/rev/de4387b45ac2

[If anyone wonders whether this will work on branches at all: Bug 786613 landed everywhere we want to land this. Unfortunately, 2.14b4 has already been tagged, so unless releng decides to respin, this will only be in 2.14b5.]

Note You need to log in before you can comment on or make changes to this bug.